Page MenuHomePhabricator

Only allow authenticated and autoconfirmed users to view page
Closed, ResolvedPublic

Description

The suggested tags page should only be accessible to users who are authenticated and autoconfirmed. As such, we will need to show a message indicating this to users who are either not logged in, or are logged in but not autoconfirmed.

Event Timeline

AnneT created this task.Oct 3 2019, 8:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2019, 8:48 PM
AnneT added a comment.Oct 3 2019, 8:48 PM

@PDrouin-WMF I'm assigning this to you for design per our discussion earlier today, and will build out the UI once that's done!

Mholloway moved this task from Backlog to Needs design on the MachineVision board.Oct 8 2019, 3:11 PM
AnneT moved this task from Triage to SDoC on the Structured-Data-Backlog board.Oct 8 2019, 4:48 PM

Change 541682 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Require users to be logged in and autoconfirmed

https://gerrit.wikimedia.org/r/541682

AnneT claimed this task.Oct 16 2019, 4:32 PM
AnneT added a subscriber: PDrouin-WMF.

As discussed with Pam we'll go with the following messages:

Accurate tags make it easier for all Commons users to find images, so please become autoconfirmed, as only autoconfirmed users can use this tool.

Please log in to see this page and start tagging images. Accurate tags make it easier for all Commons users to find images, and your contributions are appreciated.

AnneT moved this task from SDoC to Current Work on the Structured-Data-Backlog board.

Change 541682 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Require users to be logged in and autoconfirmed

https://gerrit.wikimedia.org/r/541682

AnneT moved this task from In development to Done on the MachineVision board.Oct 18 2019, 2:02 PM
Ramsey-WMF closed this task as Resolved.Nov 25 2019, 5:24 PM

Works on prod.